package com.ruoyi.predict.domain;

import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * PfEvaRulsMonthData对象 pf_eva_ruls_month_data
 *
 * @author hlf
 * @date 2021-11-10
 */
public class PfEvaRulsMonthData extends BaseEntity {
    private static final long serialVersionUID = 1L;

    private Long rtuNo;

    private Long type;

    private Long modelNo;

    private Date dataTime;

    private Double unlimitedCount;

    private Double accuracyRate;

    private Double accuracyRateDl;

    private Long passCount;

    private Double passRate;

    private Double passRateDl;

    private Long upSendCount;

    private Double upSendRate;

    private Double upSendDl;

    private Double nrmse;

    private Double nmae;

    private Double bias;

    private Double correlationCoeff;

    private Double maxbias;

    private Long dataFlag;

    public void setRtuNo(Long rtuNo) {
        this.rtuNo = rtuNo;
    }

    public Long getRtuNo() {
        return rtuNo;
    }

    public void setType(Long type) {
        this.type = type;
    }

    public Long getType() {
        return type;
    }

    public void setModelNo(Long modelNo) {
        this.modelNo = modelNo;
    }

    public Long getModelNo() {
        return modelNo;
    }

    public void setDataTime(Date dataTime) {
        this.dataTime = dataTime;
    }

    public Date getDataTime() {
        return dataTime;
    }

    public void setUnlimitedCount(Double unlimitedCount) {
        this.unlimitedCount = unlimitedCount;
    }

    public Double getUnlimitedCount() {
        return unlimitedCount;
    }

    public void setAccuracyRate(Double accuracyRate) {
        this.accuracyRate = accuracyRate;
    }

    public Double getAccuracyRate() {
        return accuracyRate;
    }

    public void setAccuracyRateDl(Double accuracyRateDl) {
        this.accuracyRateDl = accuracyRateDl;
    }

    public Double getAccuracyRateDl() {
        return accuracyRateDl;
    }

    public void setPassCount(Long passCount) {
        this.passCount = passCount;
    }

    public Long getPassCount() {
        return passCount;
    }

    public void setPassRate(Double passRate) {
        this.passRate = passRate;
    }

    public Double getPassRate() {
        return passRate;
    }

    public void setPassRateDl(Double passRateDl) {
        this.passRateDl = passRateDl;
    }

    public Double getPassRateDl() {
        return passRateDl;
    }

    public void setUpSendCount(Long upSendCount) {
        this.upSendCount = upSendCount;
    }

    public Long getUpSendCount() {
        return upSendCount;
    }

    public void setUpSendRate(Double upSendRate) {
        this.upSendRate = upSendRate;
    }

    public Double getUpSendRate() {
        return upSendRate;
    }

    public void setUpSendDl(Double upSendDl) {
        this.upSendDl = upSendDl;
    }

    public Double getUpSendDl() {
        return upSendDl;
    }

    public void setNrmse(Double nrmse) {
        this.nrmse = nrmse;
    }

    public Double getNrmse() {
        return nrmse;
    }

    public void setNmae(Double nmae) {
        this.nmae = nmae;
    }

    public Double getNmae() {
        return nmae;
    }

    public void setBias(Double bias) {
        this.bias = bias;
    }

    public Double getBias() {
        return bias;
    }

    public void setCorrelationCoeff(Double correlationCoeff) {
        this.correlationCoeff = correlationCoeff;
    }

    public Double getCorrelationCoeff() {
        return correlationCoeff;
    }

    public void setMaxbias(Double maxbias) {
        this.maxbias = maxbias;
    }

    public Double getMaxbias() {
        return maxbias;
    }

    public void setDataFlag(Long dataFlag) {
        this.dataFlag = dataFlag;
    }

    public Long getDataFlag() {
        return dataFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("rtuNo", getRtuNo())
                .append("type", getType())
                .append("modelNo", getModelNo())
                .append("dataTime", getDataTime())
                .append("unlimitedCount", getUnlimitedCount())
                .append("accuracyRate", getAccuracyRate())
                .append("accuracyRateDl", getAccuracyRateDl())
                .append("passCount", getPassCount())
                .append("passRate", getPassRate())
                .append("passRateDl", getPassRateDl())
                .append("upSendCount", getUpSendCount())
                .append("upSendRate", getUpSendRate())
                .append("upSendDl", getUpSendDl())
                .append("nrmse", getNrmse())
                .append("nmae", getNmae())
                .append("bias", getBias())
                .append("correlationCoeff", getCorrelationCoeff())
                .append("maxbias", getMaxbias())
                .append("dataFlag", getDataFlag())
                .toString();
    }
}
